{
  "schema_version": "1.4.0",
  "id": "GHSA-gh2g-646j-9wxw",
  "modified": "2025-04-12T13:07:48Z",
  "published": "2022-05-14T03:07:24Z",
  "aliases": [
    "CVE-2016-9755"
  ],
  "details": "The netfilter subsystem in the Linux kernel before 4.9 mishandles IPv6 reassembly, which allows local users to cause a denial of service (integer overflow, out-of-bounds write, and GPF) or possibly have unspecified other impact via a crafted application that makes socket, connect, and writev system calls, related to net/ipv6/netfilter/nf_conntrack_reasm.c and net/ipv6/netfilter/nf_defrag_ipv6_hooks.c.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-9755"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/9b57da0630c9fd36ed7a20fc0f98dc82cc0777fa"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1400904"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#!topic/syzkaller/GFbGpX7nTEo"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#%21topic/syzkaller/GFbGpX7nTEo"
    },
    {
      "type": "WEB",
      "url": "https://www.spinics.net/lists/netdev/msg407525.html"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9b57da0630c9fd36ed7a20fc0f98dc82cc0777fa"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/12/01/10"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/94626"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-12-28T07:59:00Z"
  }
}